-- There is no copyright on this code

-- Permission is hereby granted, free of charge, to any person obtaining a copy of this software and
-- associated documentation files (the "Software"), to deal in the Software without restriction, including
-- without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
-- copies of the Software, and to permit persons to whom the Software is furnished to do so.

-- THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT
-- LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
-- NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
-- WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
-- SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

--
-- Global variables
--
local addon, XMacros = ...
XMacros.WarningWindow = {}
XMacros.WarningWindow.name = "XMacros.WarningWindow"

--
-- Main functions
--

--
-- UI functions
--

function XMacros.WarningWindow.CreateWarningWindow(parentFrame, positonFrame)
	local warningWindow = {}
	warningWindow.wrnWindow = UI.CreateFrame("RiftWindow", "warningWindow", parentFrame)
	warningWindow.wrnWindow:SetVisible(false)
	warningWindow.wrnWindow:SetTitle("Warning window")
	warningWindow.wrnWindow:SetHeight(200)
	warningWindow.wrnWindow:SetWidth(300)
	warningWindow.wrnWindow:SetPoint("CENTER", positonFrame, "CENTER")
	warningWindow.wrnWindow:SetLayer(positonFrame:GetLayer() + 1)
	
	warningWindow.wrnWindowOKButton = UI.CreateFrame("RiftButton", "WarnOKButton", warningWindow.wrnWindow)
	warningWindow.wrnWindowOKButton:SetText("OK")
	warningWindow.wrnWindowOKButton:SetPoint("BOTTOMLEFT", warningWindow.wrnWindow, "BOTTOMLEFT", math.floor((warningWindow.wrnWindow:GetWidth() - warningWindow.wrnWindowOKButton:GetWidth()) / 2), -20)
	warningWindow.wrnWindowOKButton.Event.LeftPress = function() XMacros.WarningWindow.WarningWindowClose(warningWindow) end
	
	warningWindow.wrnLabel = UI.CreateFrame("Text", "WarnLabel", warningWindow.wrnWindow)
	warningWindow.wrnLabel:SetPoint("TOPLEFT", warningWindow.wrnWindow, "TOPLEFT", 20, 60)
	warningWindow.wrnLabel:SetPoint("TOPRIGHT", warningWindow.wrnWindow, "TOPRIGHT", -20, 60)
	warningWindow.wrnLabel:SetWordwrap(true)
	warningWindow.wrnLabel:SetText("Dummy message")
	warningWindow.wrnLabel:SetHeight(100)
	
	warningWindow.wrnCallback = nil
	return warningWindow
end

function XMacros.WarningWindow.ShowWarningWindow(warningWindow, message, callback)
	warningWindow.wrnCallback = callback
	warningWindow.wrnLabel:SetText(message)
	warningWindow.wrnWindow:SetVisible(true)
end

function XMacros.WarningWindow.WarningWindowClose(warningWindow)
	warningWindow.wrnWindow:SetVisible(false)
	if warningWindow.wrnCallback then
		warningWindow.wrnCallback()
	end
end
